using System;
using System.Collections.Generic;

namespace AllocsFixes.CustomCommands
{
	public class webstat : ConsoleCommand
	{
		public webstat (ConsoleSdtd cons) : base(cons)
		{
		}

		public override string Description ()
		{
			return "DEBUG PURPOSES ONLY";
		}

		public override string[] Names ()
		{
			return new string[] { "webstat", string.Empty };
		}

		public override void Run (string[] _params)
		{
			try {
				m_Console.SendResult ("Current handlers: " + AllocsFixes.NetConnections.Servers.Web.Web.currentHandlers + " - total: " + AllocsFixes.NetConnections.Servers.Web.Web.handlingCount);
			} catch (Exception e) {
				Log.Out ("Error in webstat.Run: " + e);
			}
		}
	}
}
